> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getarbol.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List campaigns



## OpenAPI

````yaml GET /campaigns
openapi: 3.0.3
info:
  title: Arbol API
  description: >-
    The Arbol API enables you to programmatically manage voice AI agents,
    contacts, conversations, campaigns, and more. Build powerful voice AI
    integrations with a developer-first REST API.
  version: 1.0.0
  contact:
    name: Arbol Support
    url: https://getarbol.com/support
  license:
    name: Proprietary
servers:
  - url: https://api.getarbol.com/v1
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Agents
    description: Manage voice AI agents
  - name: Contacts
    description: Manage contacts and their details
  - name: Conversations
    description: Manage voice conversations and calls
  - name: Campaigns
    description: Manage batch outbound call campaigns
  - name: Phone Numbers
    description: Manage provisioned phone numbers
  - name: Properties
    description: Manage custom property definitions
  - name: Tools
    description: Manage agent tools and integrations
  - name: Documents
    description: Manage knowledge base documents
  - name: Organization
    description: Manage organization settings
paths:
  /campaigns:
    get:
      tags:
        - Campaigns
      summary: List campaigns
      operationId: listCampaigns
      parameters:
        - $ref: '#/components/parameters/LimitParam'
        - $ref: '#/components/parameters/OffsetParam'
        - name: agentId
          in: query
          schema:
            type: string
        - name: status
          in: query
          schema:
            $ref: '#/components/schemas/CampaignStatus'
        - name: search
          in: query
          schema:
            type: string
      responses:
        '200':
          description: List of campaigns
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  parameters:
    LimitParam:
      name: limit
      in: query
      schema:
        type: integer
        minimum: 1
        maximum: 100
        default: 50
      description: Max items to return (1-100)
    OffsetParam:
      name: offset
      in: query
      schema:
        type: integer
        minimum: 0
        default: 0
      description: Items to skip
  schemas:
    CampaignStatus:
      type: string
      enum:
        - DRAFT
        - SCHEDULED
        - QUEUED
        - RUNNING
        - PAUSED
        - COMPLETED
        - CANCELLED
        - FAILED
    ApiError:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
            details:
              type: object
        requestId:
          type: string
  responses:
    Unauthorized:
      description: Authentication required
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Use your API key from the Arbol dashboard. Go to Settings > API Keys to
        generate one.

````